package com.ho.flow.mapper;

import com.ho.flow.entity.WorkOrder;
import com.ho.flow.vo.req.workorder.WorkOrderPageReq;
import com.ho.flow.vo.resp.workorder.WorkOrderRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【work_order】的数据库操作Mapper
* @createDate 2023-02-04 12:40:37
* @Entity com.ho.business.entity.WorkOrder
*/
@Mapper
public interface WorkOrderMapper {

    int deleteByPrimaryKey(Long id);

    int insert(WorkOrder record);

    int insertSelective(WorkOrder record);

    WorkOrder selectByPrimaryKey(Long id);

    WorkOrderRespVO selectByOrderId(String orderId);

    WorkOrderRespVO selectByProcessInstId(String processInstId);

    WorkOrderRespVO selectByProcessInstIdAndTitle(String processInstanceId, String title);

    int updateByPrimaryKeySelective(WorkOrder record);

    int updateByPrimaryKey(WorkOrder record);

    List<WorkOrderRespVO> selectByInfo(WorkOrderPageReq vo);

    int deleteByIds(List<Long> ids);

    WorkOrderRespVO selectByOrderIdAndTitle(String orderId, String title);

    Integer selectByStationId(Integer stationId);

    void setEventNull(Long id);
}
